Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class Java2DUserResourceWrapperImpl

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.richfaces.resource.BaseResourceWrapper<org.richfaces.resource.Java2DUserResource>
                      org.richfaces.resource.Java2DUserResourceWrapperImpl

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.FacesWrapper<org.richfaces.resource.Java2DUserResource>, org.richfaces.resource.CacheableResource, org.richfaces.resource.VersionedResource

Direct Known Subclasses:
  Java2DAnimatedUserResourceWrapperImpl

    public class Java2DUserResourceWrapperImpl

extends BaseResourceWrapper<org.richfaces.resource.Java2DUserResource>

Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`Java2DUserResourceWrapperImpl(org.richfaces.resource.Java2DUserResource resourceObject, boolean cacheable, boolean versioned)`

Method Summary
`protected java.awt.Graphics2D` | `createGraphics(java.awt.image.BufferedImage image)`
`protected java.lang.Integer` | `decodeColor(java.lang.String value)`
`protected java.lang.Integer` | `getColorValueParameter(javax.faces.context.FacesContext context, java.lang.String name, boolean useDefault)`
`java.lang.String` | `getContentType()`
`protected java.lang.Integer` | `getHeight(javax.faces.context.FacesContext context, java.lang.String heightParamName)`
`java.io.InputStream` | `getInputStream()`
`protected java.util.Date` | `getLastModified(javax.faces.context.FacesContext context)` TODO optimize/review?
`protected java.lang.String` | `getValueParameter(javax.faces.context.FacesContext context, java.lang.String name)`
`protected java.util.Map<java.lang.String,java.lang.String>` | `getWrappedResourceResponseHeaders()`
`protected void` | `paintAndWrite(javax.imageio.stream.ImageOutputStream outputStream)`
`protected void` | `write(java.awt.image.BufferedImage image, java.lang.String formatName, javax.imageio.stream.ImageOutputStream imageOutputStream)`

Methods inherited from class org.richfaces.resource.BaseResourceWrapper
`getEntityTag, getExpires, getResponseHeaders, getTimeToLive, getVersion, getWrapped, isCacheable, isTransient, restoreState, saveState, setTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getRequestPath, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Java2DUserResourceWrapperImpl

    public Java2DUserResourceWrapperImpl(org.richfaces.resource.Java2DUserResource resourceObject,
                                         boolean cacheable,
                                         boolean versioned)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in class `javax.faces.application.Resource`
  Throws:
    `java.io.IOException`

### write

    protected void write(java.awt.image.BufferedImage image,
                         java.lang.String formatName,
                         javax.imageio.stream.ImageOutputStream imageOutputStream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Overrides:
    `getContentType` in class `javax.faces.application.Resource`

### getValueParameter

    protected java.lang.String getValueParameter(javax.faces.context.FacesContext context,
                                                 java.lang.String name)

### getColorValueParameter

    protected java.lang.Integer getColorValueParameter(javax.faces.context.FacesContext context,
                                                       java.lang.String name,
                                                       boolean useDefault)

### getHeight

    protected java.lang.Integer getHeight(javax.faces.context.FacesContext context,
                                          java.lang.String heightParamName)

### decodeColor

    protected java.lang.Integer decodeColor(java.lang.String value)

### getWrappedResourceResponseHeaders

    protected java.util.Map<java.lang.String,java.lang.String> getWrappedResourceResponseHeaders()

  Specified by:
    `getWrappedResourceResponseHeaders` in class `BaseResourceWrapper<org.richfaces.resource.Java2DUserResource>`

### getLastModified

    protected java.util.Date getLastModified(javax.faces.context.FacesContext context)

  Description copied from class: `AbstractBaseResource`
  TODO optimize/review?

  Overrides:
    `getLastModified` in class `AbstractBaseResource`
  Returns:
    Returns the lastModified.

### paintAndWrite

    protected void paintAndWrite(javax.imageio.stream.ImageOutputStream outputStream)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### createGraphics

    protected java.awt.Graphics2D createGraphics(java.awt.image.BufferedImage image)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.